
declare @uid as varchar (50)
declare @idFuncionalidadpadre as int
declare @idFuncionalidad as int
set @uid=(select uid from seg_usuario where id = 1)

set @idFuncionalidadpadre=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and  [id_funcionalidad]=78 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx')
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidadpadre=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and  [id_funcionalidad]=85 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidadpadre=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=120 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=121 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=122 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=123 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end

set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=94 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end

set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=191 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=227 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end

set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=6 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end


set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=52 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end

set @idFuncionalidadpadre =(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=339 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
set @idFuncionalidad=(select id from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidadpadre and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idFuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idFuncionalidad,'01',@uid,'')
end



